Summary: A library for decoding and generating MPEG 2 and DVB PSI sections.
URL: http://developers.videolan.org/libdvbpsi/
Name: libdvbpsi
Version: 0.1.2
Release: 1m
Copyright: GPL
Group: Applications/Multimedia
Source0: http://www.videolan.org/pub/videolan/libdvbpsi/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libdvbpsi is a simple library designed for MPEG 2 TS and DVB PSI tables
decoding and generating. The important features are:
 * PAT decoder and genarator.
 * PMT decoder and generator.

%package devel
Summary: Development tools for programs which will use the libdvbpsi library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate MPEG 2 and DVB PSI
information using the %{name} library.

If you are going to develop programs which will manipulate MPEG 2 and DVB PSI
information you should install %{name}-devel.  You'll also need to have
the %name package installed.

%prep
%setup -q

%build
./configure --prefix=/uer --enable-release
make 

%install
%makeinstall

%clean
rm -rf %buildroot

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog

%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sun Apr 13 2003 Shibata Akira <cipher@da2.so-net.ne.jp>
- (0.1.2-1m)
- first release

