Summary: A portable abstraction library for DVD menus support
URL: http://developers.videolan.org/libdvdplay/
Name: libdvdplay
Version: 1.0.1
Release: 1m
License: GPL
Group: System Environment/Libraries
Source0: http://www.videolan.org/pub/libdvdplay/1.0.1/libdvdplay-1.0.1.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Buildrequires:	libdvdread-devel

%description
libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device.

This package contains the libdvdplay runtime library.

%package devel
Summary: Development tools for programs which will use the %{name} library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
 
%description devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the %{name} library.
 
If you are going to develop programs which will manipulate DVDs, you
should install %{name}-devel.  You'll also need to have the %{name}
package installed.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/*.*a
%{_libdir}/*.so
%{_includedir}/*

%clean
rm -rf %{buildroot}

%changelog
* Sun Apr 13 2003 Akira Shibata <cipher@da2.so-net.ne.jp>
- (1.0.1-1m)
- first release
