Summary: VideoLAN is a free MPEG, MPEG2 and DVD software solution.
Name: vls
Version: 0.5.0
Release: 1m
Copyright: GPL
URL: http://www.videolan.org/
Group: 	Applications/Multimedia
Source0: http://www.videolan.org/pub/videolan/vls/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
Requires: libdvbpsi
Buildrequires:	libdvbpsi-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
VideoLAN is a free network-aware MPEG and DVD player.
The VideoLAN Server allows to stream MPEG content from several sources
over an IP network.
You may install vls-dvd to allow DVD streaming and/or vls-dvb to use a
satellite receiver.

%package dvd
Summary: DVD input for VideoLAN Server
Group: Applications/Multimedia
Requires: libdvdread
Requires: %{name} = %{version}
Buildrequires: libdvdread-devel

%description dvd
The %{name}-dvd package includes the DVD input plugin for the VideoLAN
Server.
It allows DVD streaming using libdvdread.

#%package dvb
#Summary: DVB input for VideoLAN Server
#Group: Applications/Multimedia
#Requires: %{name} = %{version}
#Buildrequires:	dvb-devel

#%description dvb
#The %{name}-dvb package includes the DVB input plugin for the VideoLAN
#Server.
#It allows satellite reception from a DVB device using the DVB drivers.

%prep
%setup -q

%build
%configure --prefix=/usr --disable-debug --without-libdvb
make 

%install
%makeinstall

%clean
rm -rf {%buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog doc/vls-guide.sgml
%config %{_sysconfdir}/videolan/vls/vls.cfg
#%config %{_sysconfdir}/videolan/vls/input.cfg

%{_bindir}/vls

%files dvd
%defattr(-,root,root)
%{_libdir}/videolan/vls/dvdreader.so

#%files dvb
#%defattr(-,root,root)
#%{_libdir}/videolan/vls/dvbinput.so

%changelog
* Mon Apr 14 2003 Shibata Akira <cipher@da2.so-net.ne.hp>
- (0.5.0-1m)
- first release
